weka.core.packageManagement

## Enum VersionPackageConstraint.VersionComparison

- java.lang.Object
- - java.lang.Enum<VersionPackageConstraint.VersionComparison>
  - - weka.core.packageManagement.VersionPackageConstraint.VersionComparison

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<VersionPackageConstraint.VersionComparison>
  Enclosing class:
    VersionPackageConstraint

      public static enum VersionPackageConstraint.VersionComparison
      extends java.lang.Enum<VersionPackageConstraint.VersionComparison>

  Enumeration encapsulating version comparison operations

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `EQUAL`
    `GREATERTHAN`
    `GREATERTHANOREQUAL`
    `LESSTHAN`
    `LESSTHANOREQUAL`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static VersionPackageConstraint.VersionComparison` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static VersionPackageConstraint.VersionComparison[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EQUAL

          public static final VersionPackageConstraint.VersionComparison EQUAL

    - #### GREATERTHAN

          public static final VersionPackageConstraint.VersionComparison GREATERTHAN

    - #### GREATERTHANOREQUAL

          public static final VersionPackageConstraint.VersionComparison GREATERTHANOREQUAL

    - #### LESSTHAN

          public static final VersionPackageConstraint.VersionComparison LESSTHAN

    - #### LESSTHANOREQUAL

          public static final VersionPackageConstraint.VersionComparison LESSTHANOREQUAL

  - ### Method Detail

    - #### values

          public static VersionPackageConstraint.VersionComparison[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (VersionPackageConstraint.VersionComparison c : VersionPackageConstraint.VersionComparison.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static VersionPackageConstraint.VersionComparison valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<VersionPackageConstraint.VersionComparison>`